Skip to main content
GET
/
orgs
/
{org_id}
/
skills
Get Skills
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/skills \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/skills"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.useinvent.com/orgs/{org_id}/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "name": "<string>",
    "instructions": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

Query Parameters

Search skills by name.

Maximum string length: 256
page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json

An array of skills.

id
string
required
name
string
required

The name of the skill

instructions
string
required

The instruction pack the AI follows when the skill is on

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required